import { LikeOptions } from './interface';
export declare class LikeProxy {
    feature: any;
    options: LikeOptions;
    constructor(feature: any, options?: LikeOptions);
    getClientId(): string;
    isLiked(): boolean;
    like(): void;
    unlike(): void;
    protected makeId(length: number): string;
    protected getLayerKey(layer: string): string;
    protected getArray(layer: string): number[];
    protected setArray(layer: string, values: number[]): void;
}
